De WidevineCdm-plug-in is gecrasht
25 april 2021 - 09:32   
geplaatst door: bacon
Ook namens een vriendin:
OS X 10.9.5
Firefox 78.10.0esr

Sinds kort vertonen sommige sites (o.a. geenstijl.nl, RTL) bovenin een gele balk met daarin de tekst:
links "De WidevineCdm-plug-in is gecrasht Meer info" en rechts "Pagina vernieuwen", "Een crashreport verzenden" en een "x" om de balk te doen verdwijnen. "Meer info" levert geen bruikbare informatie op:
https://support.mozilla.org/nl/kb/crashrapporten-plug-ins-verzenden-firefox-helpen-verbeteren?as=u&utm_source=inproduct&redirectslug=Plugin+crash+reports&redirectlocale=en-US
Bij mij helpt alleen het laatste, het clicken op de "x", waardoor de gele balk verdwijnt . Bij de vriendin helpt niets. Zij krijgt zelfs een zwart venster.
Gegoogle levert voorlopig alleen op, dat in Firefox/Voorkeuren/Algemeen/DRM-inhoud: vinkje moet ingeschakeld zijn als voorwaarde.
Ik kan ermee leven, omdat ik via "x" de gele balk bij eerste bezoek verdwijnt (tweede bezoek staat hij er weer).
Wat is hier aan te doen? Bij voorbaat mijn dank!!
"Als je doet wat je altijd deed, krijg je wat je altijd kreeg" (Einstein)
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 09:45    reactie #1
geplaatst door: puk1980
Ook namens een vriendin:
OS X 10.9.5
Firefox 78.10.0esr
Wat is hier aan te doen?
En als je de meest recente Firefox 88.0 gebruikt?
https://tweakers.net/downloads/55532/mozilla-firefox-880.html

Zo niet: Je zou ook de Mac kunnen upgraden naar 10.11 El Capitan, en kijken of het probleem verholpen is als je de meest recente Chrome of Firefox versie gebruikt.
Certified Terminal Guru.
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 09:58    reactie #2
geplaatst door: bacon
@puk1980,
Dank voor je reactie. Firefox 88 past niet meer op OS X 10.9.5. Daarvoor o.a. is nou juist die versie Firefox 78.10.0esr bedacht. En het upgraden naar El Capitan ga ik niet doen, ook al omdat Firefox 88 het ook op El Capitan niet doet (wel Firefox 78.10.0esr). Bovendien is die DRM-inhoud optie, geldig op OS X 10.9.5 (vanaf, en incluis). Die moet het dus gewoon doen (tenminste als het probleem daar ligt)
"Als je doet wat je altijd deed, krijg je wat je altijd kreeg" (Einstein)
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 10:45    reactie #3
geplaatst door: puk1980
Firefox 88 past niet meer op OS X 10.9.5.

Aha, ik zie het:
https://support.mozilla.org/en-US/kb/firefox-mac-osx-users-esr

Dan is die Systems Requirements pagina van Firefox niet meer up to date.


Citaat

Why has Firefox ended support for OS X 10.9, 10.10 and 10.11 users?

While Apple does not have a public policy governing security updates for older OS X releases, their ongoing practice has been to support the most recent three releases. The last security update applicable to OS X 10.11 was made available in July 2018. Unsupported operating systems do not receive security updates, have known exploits and can be dangerous to use, which makes it difficult to maintain Firefox on those versions.
Certified Terminal Guru.
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 11:10    reactie #4
geplaatst door: boiing
Het lijkt aan de nieuwe versie van de Widevine plugin te liggen. Daarom werkte het eerst wel en nu niet meer zonder dat je iets veranderd hebt. Hoe kwam ik daarachter? Ik start Mavericks op in een Parallels VM, daarin ook Firefox 78.10.0esr. RTL X werkt prima! Gekeken naar de Widevine plugin versie, die was van 2020 dacht ik. Deze een update gegeven (zie plaatje) en nu krijg ik dezelfde foutmelding. Standaard staat de plugin op automatisch updaten, daar zal het wel mis zijn gegaan bacon. Blijkbaar is de nieuwe versie niet meer compatible met Mavericks of Firefox 78.

Screenshot 2021-04-25 at 11.10.21.jpgDe WidevineCdm-plug-in is gecrasht


De vraag is nu of je de oudere versie weer terug kunt krijgen..
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 11:22    reactie #5
geplaatst door: boiing
Ook even in een El Capitan VM getest met Firefox 78.10.0esr: werkt prima, mét een up-to-date WideVine plugin. Dat zou dus toch een optie zijn bacon. En de Mac van de vriendin kan ook naar High Sierra :wink:.
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 11:23    reactie #6
geplaatst door: bacon
@boiing, ik denk dat je het bij het rechte eind hebt! Ik ga op zoek naar die oudere versie van de Widevine plugin. Desnoods stel ik die vraag aan Firefox zelf. Dat zal ze leren! :cool:
"Als je doet wat je altijd deed, krijg je wat je altijd kreeg" (Einstein)
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 11:33    reactie #7
geplaatst door: bacon
@boiing,
Zou die oude Widevine plugin misschien ergens kunnen staan op een Time Machine update van een paar weken terug? En die dan omruilen met de allernieuwste, met vervolgens de instelling "Automatische updates toestaan" op "uit" zetten?
Of: misschien eerst de voorlaatste versie van Firefox (heb ik) i.p.v. de laatste versie zetten. Ik neem aan dat daar dan ook de oude Widevine plugin in zit. En dan vervolgens die automatische update op "uit" zetten, en terugkeren naar de laatste versie van Firefox esr.
"Als je doet wat je altijd deed, krijg je wat je altijd kreeg" (Einstein)
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 11:43    reactie #8
geplaatst door: boiing
Die eerste optie zou moeten kunnen, met wat gedoe. Zie hier voor de lokatie. Ik zie 'm daar staan (zie plaatje, onderaan) weet alleen niet of dat mapje vervangen door een TM backup gaat werken. Ik verwacht het wel, kan het alleen niet uitproberen want van mijn VM's maak ik geen TM backup :wink:. De tweede optie lijkt me minder kansrijk omdat de plugin pas na FF installatie automatisch wordt geïnstalleerd, en dat zal dan meteen de laatste versie zijn.

Updaten naar El Capitan of High Sierra is makkelijker, maar misschien heb je andere redenen om dat niet te willen.

Schermafbeelding 2021-04-25 om 11.39.12.pngDe WidevineCdm-plug-in is gecrasht
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 11:59    reactie #9
geplaatst door: puk1980
Updaten naar El Capitan of High Sierra is makkelijker, maar misschien heb je andere redenen om dat niet te willen.
Dat gaat tegen zijn "ouwe meuk rulez" principe in. :wink:
Certified Terminal Guru.
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 12:08    reactie #10
geplaatst door: bacon
@boiing dank voor het uitzoeken waar die plug-in staat (ik had Find Any File er al op losgelaten zonder resultaat). Ik ga het vanmiddag proberen. Als het problemen geeft zet ik hem gewoon terug.
@puk1980, dat heb je verdomd goed onthouden! :thumbs-up: Voornaamste reden zijn de goed werkende, dure, niet meer aan te komen scanner en printers. Ik heb de El Capitan (ook oude meuk waarschijnlijk  :smile:) al twee jaar op een externe HD in de startblokken staan met de meest belangrijke programma's al geïnstalleerd. Daar doen de scanner en printers het nog op, na veel gehannes, inspanning en gezoek.

Edit:
methode omruilen Widevine plug-in werkt niet (automatische update uitgeschakeld)
methode de voorlaatste Firefox i.p.v de laatste plaatsen helpt ook niet

Conclusie: het zij zo. Ik kan met dit "ongemak" wel leven  :smile:
"Als je doet wat je altijd deed, krijg je wat je altijd kreeg" (Einstein)
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 14:45    reactie #11
geplaatst door: boiing
Meldt het in ieder geval bij ze, misschien zijn ze zo aardig om een update te regelen.
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 15:45    reactie #12
geplaatst door: bacon
Ga ik zeker doen! Overigens heb ik aan die vriendin de laatst versie van Opera (49.0.2725.64) voor de Mavericks gestuurd. Die vertoont (bij mij in ieder geval  :wink: )nergens die gele balk.
"Als je doet wat je altijd deed, krijg je wat je altijd kreeg" (Einstein)
De WidevineCdm-plug-in is gecrasht
25 april 2021 - 15:47    reactie #13
geplaatst door: boiing
Goed idee, hopelijk lukt het daarmee dan wel!
De WidevineCdm-plug-in is gecrasht
29 april 2021 - 10:50    reactie #14
geplaatst door: bacon
Gedeeltelijk opgelost (door de vermelde vriendin), via http://downloadgemist.nl gaat het wel. Alleen geldt het niet voor streaming, maar uiteraard voor downloaden.
Dit geldt als noodoplossing. Als je per se een uitzending wilt terugzien van o.a. NPOstart (NPO), RTLXL (RTL), KIJK (SBS6, Veronica, Net5), VRTnu (VRT) enz. gaat dit alleen (voorlopig) met Opera    49.0.2725.64. Het blijft behelpen... :smile:
Bewerkt: 29 april 2021 - 11:32 door bacon
"Als je doet wat je altijd deed, krijg je wat je altijd kreeg" (Einstein)